# m3e/mlist

Mlist is a list of items.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Mlist

opaque </>

Mlist is a View Model for this component

## Fields:

- variant: The appearance variant of the list.

    pub opaque type Mlist

# Values

## default_variant

</>

    pub const default_variant: list_variant.ListVariant

## new

</>

    pub fn new(variant: list_variant.ListVariant) -> Mlist

new creates a new Mlist with the default configuration.

## render

</>

    pub fn render(
      model: Mlist,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a Mlist

## variant

</>

    pub fn variant(
      arg: Mlist,
      variant: list_variant.ListVariant,
    ) -> Mlist

variant sets the value of variant for this Mlist.

✨